VERSION 5.00
Begin VB.Form frmPiggyBank 
   Caption         =   "Piggy Bank"
   ClientHeight    =   4530
   ClientLeft      =   4245
   ClientTop       =   1770
   ClientWidth     =   4365
   LinkTopic       =   "Form1"
   ScaleHeight     =   4530
   ScaleWidth      =   4365
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   495
      Left            =   2940
      TabIndex        =   13
      Top             =   3420
      Width           =   1215
   End
   Begin VB.CommandButton cmdClear 
      Caption         =   "C&lear"
      Height          =   495
      Left            =   1560
      TabIndex        =   12
      Top             =   3420
      Width           =   1215
   End
   Begin VB.CommandButton cmdCalc 
      Caption         =   "&Calculate"
      Height          =   495
      Left            =   180
      TabIndex        =   11
      Top             =   3420
      Width           =   1215
   End
   Begin VB.TextBox txtQuarters 
      Height          =   375
      Left            =   1620
      MaxLength       =   4
      TabIndex        =   8
      Top             =   2160
      Width           =   1215
   End
   Begin VB.TextBox txtDimes 
      Height          =   375
      Left            =   1620
      MaxLength       =   4
      TabIndex        =   6
      Top             =   1680
      Width           =   1215
   End
   Begin VB.TextBox txtNickels 
      Height          =   375
      Left            =   1620
      MaxLength       =   4
      TabIndex        =   4
      Top             =   1200
      Width           =   1215
   End
   Begin VB.TextBox txtPennies 
      Height          =   375
      Left            =   1620
      MaxLength       =   4
      TabIndex        =   2
      Top             =   720
      Width           =   1215
   End
   Begin VB.Label lblTotal 
      BorderStyle     =   1  'Fixed Single
      Height          =   375
      Left            =   1620
      TabIndex        =   10
      Top             =   2760
      Width           =   1215
   End
   Begin VB.Label Label6 
      BackStyle       =   0  'Transparent
      Caption         =   "Total in Bank:"
      Height          =   315
      Left            =   360
      TabIndex        =   9
      Top             =   2820
      Width           =   1035
   End
   Begin VB.Label Label5 
      BackStyle       =   0  'Transparent
      Caption         =   "&Quarters:"
      Height          =   315
      Left            =   720
      TabIndex        =   7
      Top             =   2220
      Width           =   855
   End
   Begin VB.Label Label4 
      BackStyle       =   0  'Transparent
      Caption         =   "&Dimes:"
      Height          =   315
      Left            =   720
      TabIndex        =   5
      Top             =   1740
      Width           =   735
   End
   Begin VB.Label Label3 
      BackStyle       =   0  'Transparent
      Caption         =   "&Nickels:"
      Height          =   315
      Left            =   720
      TabIndex        =   3
      Top             =   1260
      Width           =   795
   End
   Begin VB.Label Label2 
      BackStyle       =   0  'Transparent
      Caption         =   "&Pennies:"
      Height          =   315
      Left            =   720
      TabIndex        =   1
      Top             =   780
      Width           =   855
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Caption         =   "Piggy Bank"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   60
      TabIndex        =   0
      Top             =   60
      Width           =   4275
   End
End
Attribute VB_Name = "frmPiggyBank"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCalc_Click()
    
    Dim sngPennyValue   As Single
    Dim sngNickelValue  As Single
    Dim sngDimeValue    As Single
    Dim sngQuarterValue As Single
    Dim sngTotalAmount  As Single
    
    sngPennyValue = Val(txtPennies) * 0.01
    sngNickelValue = Val(txtNickels) * 0.05
    sngDimeValue = Val(txtDimes) * 0.1
    sngQuarterValue = Val(txtQuarters) * 0.25
    
    sngTotalAmount = sngPennyValue + sngNickelValue _
                   + sngDimeValue + sngQuarterValue
    
    lblTotal = Format$(sngTotalAmount, "Currency")
        

End Sub

Private Sub cmdClear_Click()
    txtPennies = ""
    txtNickels = ""
    txtDimes = ""
    txtQuarters = ""
    lblTotal = ""
    txtPennies.SetFocus
End Sub

Private Sub cmdExit_Click()
    End
End Sub

Private Sub txtPennies_GotFocus()
    With txtPennies
        .SelStart = 0
        .SelLength = Len(.Text)
    End With
End Sub

Private Sub txtPennies_KeyPress(KeyAscii As Integer)
    If InStr("0123456789", Chr$(KeyAscii)) > 0 _
    Or KeyAscii = vbKeyBack Then
        ' it's OK, do nothing
    Else
        KeyAscii = 0
    End If
    
End Sub

Private Sub txtPennies_Change()
    With txtPennies
        If Len(.Text) = .MaxLength Then
            txtNickels.SetFocus
        End If
    End With
End Sub


Private Sub txtNickels_GotFocus()
    With txtNickels
        .SelStart = 0
        .SelLength = Len(.Text)
    End With
End Sub

Private Sub txtNickels_KeyPress(KeyAscii As Integer)
    If InStr("0123456789", Chr$(KeyAscii)) > 0 _
    Or KeyAscii = vbKeyBack Then
        ' it's OK, do nothing
    Else
        KeyAscii = 0
    End If
    
End Sub

Private Sub txtNickels_Change()
    With txtNickels
        If Len(.Text) = .MaxLength Then
            txtDimes.SetFocus
        End If
    End With
End Sub

Private Sub txtDimes_GotFocus()
    With txtDimes
        .SelStart = 0
        .SelLength = Len(.Text)
    End With
End Sub

Private Sub txtDimes_KeyPress(KeyAscii As Integer)
    If InStr("0123456789", Chr$(KeyAscii)) > 0 _
    Or KeyAscii = vbKeyBack Then
        ' it's OK, do nothing
    Else
        KeyAscii = 0
    End If
    
End Sub

Private Sub txtDimes_Change()
    With txtDimes
        If Len(.Text) = .MaxLength Then
            txtQuarters.SetFocus
        End If
    End With
End Sub

Private Sub txtQuarters_GotFocus()
    With txtQuarters
        .SelStart = 0
        .SelLength = Len(.Text)
    End With
End Sub

Private Sub txtQuarters_KeyPress(KeyAscii As Integer)
    If InStr("0123456789", Chr$(KeyAscii)) > 0 _
    Or KeyAscii = vbKeyBack Then
        ' it's OK, do nothing
    Else
        KeyAscii = 0
    End If
    
End Sub

Private Sub txtQuarters_Change()
    With txtQuarters
        If Len(.Text) = .MaxLength Then
            cmdCalc.SetFocus
        End If
    End With
End Sub


